Skala
Work order material logs

Create a new work order material log

Adds a new work order material log record to the database.

POST
/api/work_order_material_logs

Adds a new work order material log record to the database.

AuthorizationBearer <token>

In: header

Request Body

application/json

The new WorkOrderMaterialLog resource

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://api.skalasuite.com/api/work_order_material_logs" \  -H "Content-Type: application/json" \  -d '{}'
{
  "id": 0,
  "material": "/entity/1",
  "workOrder": "/entity/1",
  "plannedQuantity": "string",
  "actualQuantity": "string",
  "unitCost": "string",
  "totalCost": "string",
  "batch": "/entity/1",
  "variant": "/entity/1",
  "company": "/entity/1",
  "createdBy": "/entity/1",
  "updatedBy": "/entity/1",
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z",
  "deletedAt": "2019-08-24T14:15:22Z"
}
Empty
Empty